#!/bin/bash

cat << EOF
{ "aaData":
[
EOF

suite2version() {
    case $1 in
        hardy) echo "8.04 LTS";;
        lucid) echo "10.04 LTS";;
        maverick) echo "10.10 EOL";;
        natty)  echo "11.04 EOL";;
        oneiric) echo "11.10";;
        precise) echo "12.04 LTS";;
        quantal) echo "12.10";;
        raring) echo "13.04";;
        *) echo "Devel";;
    esac
}

for index in $(find /srv/ec2-images/query -iname "released.current.txt")
do
    while read suite stream tag serial itype arch region ami aki virttype
    do
        version=$(suite2version ${suite})
        printf '["%s","%s","%s","%s","%s","%s","<a href=\\"https://console.aws.amazon.com/ec2/home?region=%s#launchAmi=%s\\">%s</a>","%s"],\n' \
                "${region}" "${suite}" "${version}" "${arch}" "${itype}" "${serial}" "${region}" "${ami}" "${ami}" "${aki}"
    done < $index
done

cat <<EOF
]
}
EOF

